package book

import (
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type BookRouter struct{}

func (r *BookRouter) InitBookRouter(Router *gin.RouterGroup) {
	bookRouter := Router.Group("book").Use(middleware.OperationRecord())
	bookRouterWithoutRecord := Router.Group("book")

	registerBookRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookAuthorRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookAuthorRelationRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookChapterRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookCommentRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookCommentLikeRecordRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookFavoriteRecordRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookReadRecordRoutes(bookRouter, bookRouterWithoutRecord)
	registerBookSeriesRoutes(bookRouter, bookRouterWithoutRecord)
}
